#if !defined(AFX_VALVECONTROL_H__39799D38_C379_4FAC_B5E2_F2011FF61D1C__INCLUDED_)
#define AFX_VALVECONTROL_H__39799D38_C379_4FAC_B5E2_F2011FF61D1C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ValveControl.h : header file
//
#include <NIDAQmx.h>
#include "ValveSet.h"
/////////////////////////////////////////////////////////////////////////////
// CValveControl window
#define NUM_OF_VALVE_PLAN	6
#define DEFAULT_DEVICE_ID	"Dev1"

#define NUM_OF_VALVE_PORT	4
#define NUM_OF_VALVE_LINE	8
#define VALVE_OFF	0
#define VALVE_ON	1

#define VALVE_STAT_DISEL	0
#define VALVE_STAT_OFF		1
#define VALVE_STAT_ON		2


class CValveControl : public CWnd
{
// Construction
public:
	CValveControl();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CValveControl)
	//}}AFX_VIRTUAL

// Implementation
public:
	void ValveControl(int iPort);
	void ValveControl(CString strValveString);
	void GetValveString(CString &strValve);
	void RunAction(int iIndex);
	CValveSet *pDlgValveSet;
	void SetAction(int iIndex);
	void NIDAQRun(CString strDeviceID);
	void ValveControl(int iPort, int iLine);
	CString m_strDAQName;
	void ValveControl(int iPort, int iLine, int iOnOff);
	uInt8 m_data[NUM_OF_VALVE_PORT][NUM_OF_VALVE_LINE];
	BOOL m_bTaskStart;
	BOOL m_bData;
	TaskHandle m_TaskOut[NUM_OF_VALVE_PORT];
	void InitDAQmx(void);
	BOOL m_iValveRunPlan[NUM_OF_VALVE_PLAN][NUM_OF_VALVE_PORT][NUM_OF_VALVE_LINE];
	int m_iValveStatus[NUM_OF_VALVE_PORT][NUM_OF_VALVE_LINE];
	
	void Init(CWnd *pWnd);
	void Init(void);
	void SetParentWnd(CWnd *pWnd);
	CWnd *m_pParentWnd;
	virtual ~CValveControl();

	// Generated message map functions
protected:
	//{{AFX_MSG(CValveControl)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VALVECONTROL_H__39799D38_C379_4FAC_B5E2_F2011FF61D1C__INCLUDED_)
