#if !defined(AFX_DMDMANAGER_H__E77C9DA8_EA27_468D_9E78_C6981810ADD2__INCLUDED_)
#define AFX_DMDMANAGER_H__E77C9DA8_EA27_468D_9E78_C6981810ADD2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DMDManager.h : header file
//

//#define DMD_EXIST	1
#define MAX_NUM_OF_MASK_BUFFER	2048

/////////////////////////////////////////////////////////////////////////////
static void CALLBACK MMTimerDMD( UINT uID,			//uTimerID
									UINT uMsg,			//dwUser : UserParam
									DWORD dwUser,		//Reserved
									DWORD dw1,			//Reserved
									DWORD dw2);			//Reserved 
#define DEFAULT_MMTIMER_RESOLUTION_DMD 5
/////////////////////////////////////////////////////////////////////////////
UINT ThreadProc_LoadDMD(LPVOID lParam);
#define WM_THREAD_MSG_LOAD_DMD_END	WM_USER+105
/////////////////////////////////////////////////////////////////////////////

// CDMDManager window
typedef struct MaskBuffer
{
	char *chFullFileName;
// for DMD Buffer
	COleVariant	*pFrameBuffer;
	CByteArray	*pByteArray;
} MaskBuffer;

class CDMDManager : public CWnd
{
// Construction
public:
	CDMDManager();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDMDManager)
	//}}AFX_VIRTUAL

// Implementation
public:
	BOOL ReloadDMDBuffer(CString strFullName);
	BOOL DisplayOnDMD(CString strFullName);
	BOOL AddMask(CString strMaskFullName);
	BOOL DisplayOnDMD(void);
	BOOL GetValidMaskBuffer(CString strFullName);

	MaskBuffer *GetCurrentMaskBuffer(CString strFullName);
	MaskBuffer *m_pCurrentMaskBuffer;
	
	MaskBuffer m_MaskBufferArray[MAX_NUM_OF_MASK_BUFFER];
	int m_iMaskBufferIndex;
	BOOL m_bFullMaskBuffer;

	CString m_strCurrentMaskFullName;
	UINT m_nTimerID;
	int m_iTimerEvent;
	BOOL m_bStartAction;
	int m_iNextTimerPeriod;
	void TimerRun(void);
	void SetMMTimer(int iEvent, int iTime);
	void AddMaskBufferToList(MaskBuffer *pMaskBuffer);
	void DeleteMaskBuffer(MaskBuffer *pMaskBuffer);
	CObList m_BufferList;

	BOOL m_bConnected;
	BOOL DisplayFromBuffer(COleVariant *pFrameBuffer);
	BOOL LoadDMDBuffer(CString strFullFileName, COleVariant *pFrameBuffer);
	BOOL LoadDMDBuffer(char *chFullFileName, COleVariant *pFrameBuffer);
	BOOL CheckAvailableFile(char *chFile);
	BOOL CheckAvailableFile(CString strFile);
	void GetFileName(CString strOrigin, CString &strFile);
	void GetPath(CString strOrigin, CString &strPath);
	BOOL InitDMD(void);
	CWnd *m_pParentWnd;
	void Init(CWnd *pWnd);
	virtual ~CDMDManager();

	// Generated message map functions
protected:
	//{{AFX_MSG(CDMDManager)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

//-------------------------------------------------------------
// afx_msg LRESULT OnThreadMSG_LoadDMDEnd(WPARAM, LPARAM);
//-------------------------------------------------------------
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DMDMANAGER_H__E77C9DA8_EA27_468D_9E78_C6981810ADD2__INCLUDED_)
